from SyntaxDesc import *
import Register
gStyleASMKeyword= CharStyle(eFaceUnderline,rgb=(192,40,0))
def Syntax():
	return SyntaxDesc(
		Words(gStyleASMKeyword,
			"INCLUDE",
			"SEGMENT",
			"segment",
			"ENDS",
			"ends",
			"EXTERN",
			"extern",
			"ASSUME",
			"assume",
			"PROC",
			"proc",
			"endp",
			"ENDP",
			"NEAR",
			"near",
			"FAR",
			"far",
			"PUBLIC",
			"public",
			"OFFSET",
			"offset",
			"MACRO",
			"macro",
			"STRUC",
			"struc",
			"SIZEOF",
			"sizeof",
			"struc",
			"record",
			"RECORD",
			"endr",
			"ENDR",
			"IF",
			"endm",
			"ENDM",
			"ELSE",
			"ENDIF",
		),
	)

Register.RegisterSyntax(Syntax,"Assembler")

